import authorization from './authorization';
import normalizeRoles from './normalizeRoles';

const authorize = (...profiles) => {
  const roles = normalizeRoles(profiles);
  return authorization(roles).authorize;
};

export default authorize;
